
/***************************************************************************
* Copyright (C) 2006 - Sweda
* Projeto Biblioteca Linux para Impressora Fiscal
*
* $Author: lboneto $
* $Date: 2006/03/02 12:31:10 $
* $Source: \Biblinux/Biblinux/Desenvolvimento/Fonte/biblinux/teste-abrir.c,v $
* $Revision: 1.4 $
****************************************************************************/



#include <stdio.h>
#include <stdlib.h>
#include "biblinux.h"
#include <curses.h>

int main(int argc, char *argv[])
{
   int handle,loop,ret;
   char com, speed, buffer[50],fromfile=0;
   FILE *Input;
   printf("Teste de Abertura e envio de bytes\n");
   if (argc!=4)
   {
      printf("Parametros Incorretos\n");
      printf("Sintaxe: %s Numero_COM Velocidade Arquivo\n",argv[0]);
      printf("Numero_COM = 0->COM1  1->COM2  2->COM3  3->COM4  4->ComX   5->ComY\n");
      printf("Velocidade = 0->9600  1->19200  2->38400  3->57600  4->115200\n");
      printf("Arquivo = arquivo no diretório local \n");
      printf("O arquivo será lido (um byte por linha)\n");
      printf("ComX e ComY são lidos a partir do arquivo ports.ini - primeira e segunda linhas\n");
      return -1;
   }
   com=atoi(argv[1]);
   speed=atoi(argv[2]);
   if((Input=fopen(argv[3],"r"))==NULL)
   {
      printf("Falha na abertura do Arquivo \n");
      return -1;
   }
   switch (com)
   {
      case 0: printf("Selecionada COM1\n");
      break;
      case 1: printf("Selecionada COM2\n");
      break;
      case 2: printf("Selecionada COM3\n");
      break;
      case 3: printf("Selecionada COM4\n");
      break;
      case 4: printf("Selecionada COMX\n");
      break;
      case 5: printf("Selecionada COMY\n");
      break;
      default: printf("Escolha incorreta\n");
      return -1;
      break;
   }
   switch (speed)
   {
      case 0: printf("Velocidade  9600\n");
      break;
      case 1: printf("Velocidade  19200\n");
      break;
      case 2: printf("Velocidade  38400\n");
      break;
      case 3: printf("Velocidade  57600\n");
      break;
      case 4: printf("Velocidade  115200\n");
      break;
      default: printf("Escolha incorreta\n");
      return -1;
      break;
   }
   printf ("Retorno do Abrir: %d\n", handle=SWCOM_AbrirUART(com, speed));
   do 
   {
      if (fgets(buffer,sizeof(buffer),Input)>0)
         ret=SWCOM_EnviarByte(atoi(buffer),handle);
      if (ret==FALSE)
         printf("Erro no caracter %d\n",loop);
   } while (!feof(Input));
   fclose(Input);
   return EXIT_SUCCESS;
}
